commit 657bf4a01b45cd58fd4758c8b7a80e60d4ac4299
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Aug 31 02:22:43 2024

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 8021f79746d..7036fab4770 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20240830
+20240831
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index a16a51a786e..25c8473186e 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,12 @@
+2024-08-30  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2024-08-29  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/116530
+	* trans-io.cc (transfer_namelist_element): Prevent NULL pointer
+	dereference.
+
 2024-08-06  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index d52ac026607..682b6ca98e1 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2024-08-30  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2024-08-29  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/116530
+	* gfortran.dg/use_rename_12.f90: New test.
+
 2024-08-28  Xi Ruoyao  <xry111@xry111.site>
 
 	Backported from master:

